Inform users that PAT 'view' scope is required to use programmatic clients.

Description

We should explain to the user that the view scope is required to use programmatic clients. We may want to consider preselecting or requiring the user to select 'view', because there's not really a use case where a user wouldn't want it.

The only scenario I can think of is if a user wanted to issue an 'openid'-only token, (which we don't currently support from the browser, because there is also no obvious use case for that)

Environment

None

Activity

Show:
Xavier Schildwachter
March 3, 2021, 5:11 PM

Verified fixed 347.0/347.0-3x.

Nick Grosenbacher
February 22, 2021, 6:19 PM
Edited

‘View’ will be preselected. The permissions text has been reorganized and now indicates that ‘View’ is required for programmatic client access

Bruce Hoff
February 17, 2021, 7:00 PM

I like the idea of preselecting 'view' scope in the UI.

Fixed

Assignee

Nick Grosenbacher

Reporter

Nick Grosenbacher

Validator

Xavier Schildwachter

Priority

Major

Labels

None

Development Area

None

Sprint

None

Fix versions

Release Version History

None

Story Points

None

Epic Link

None

Slack Channel

None